import { renderless, api } from '@opentinyvue/vue-renderless/text-popup/vue';
import { defineComponent, props, setup } from '@opentinyvue/vue-common';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  props: [].concat(props, ["modelValue", "placeholder", "readonly", "width", "separtor"]),
  setup: function setup$1(props2, context) {
    return setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    class: ["tiny-text-popup", {
      "show-auto-width": _vm.state.showAutoWidth
    }],
    style: {
      width: !_vm.state.showAutoWidth && _vm.state.width
    }
  }, [_c("input", {
    directives: [{
      name: "show",
      rawName: "v-show",
      value: _vm.state.type === "input",
      expression: "state.type === 'input'"
    }],
    ref: "text",
    staticClass: "area text",
    attrs: {
      "placeholder": _vm.placeholder
    },
    on: {
      "focus": _vm.onFocus
    }
  }), _c("textarea", {
    directives: [{
      name: "show",
      rawName: "v-show",
      value: _vm.state.type === "textarea",
      expression: "state.type === 'textarea'"
    }, {
      name: "model",
      rawName: "v-model",
      value: _vm.state.textAreaValue,
      expression: "state.textAreaValue"
    }],
    ref: "popup",
    staticClass: "area popup",
    attrs: {
      "readonly": _vm.readonly,
      "rows": "5"
    },
    domProps: {
      "value": _vm.state.textAreaValue
    },
    on: {
      "blur": _vm.onBlur,
      "input": [function($event) {
        if ($event.target.composing) return;
        _vm.$set(_vm.state, "textAreaValue", $event.target.value);
      }, _vm.onInput]
    }
  })]);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var pc = /* @__PURE__ */ function() {
  return __component__.exports;
}();

export { pc as default };
